Summary: A printer configuration backend/frontend combination.
Name: redhat-config-printer
Version: 0.6.47.3.36
Release: 1
License: GPL
Group: System Environment/Daemons
Source0: printconf-%{version}.tar.bz2

BuildRequires: gettext, desktop-file-utils >= 0.2.92
BuildRequires: cups-devel, python-devel
PreReq: alchemist >= 1.0.12, python, perl, PyXML >= 0.7.1-6
PreReq: fileutils, initscripts
Requires: m4, perl, pnm2ppa
Requires: bzip2, gzip, alchemist >= 1.0.12
Requires: foomatic >= 2.0.2-4
Requires: ghostscript >= 6.51-16 
Requires: newt >= 0.50.30
Requires: Omni-foomatic
Requires: mpage
Requires: usermode
Requires: rhpl >= 0.41
Obsoletes: rhs-printfilters
Obsoletes: printconf
Obsoletes: cups-drivers, cups-drivers-hpijs, cups-drivers-pnm2ppa
Provides: printconf
# Need the print spooler's init script to do the right thing on 'reload'
Requires: cups >= 1.1.17-4
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package gui
Summary: A GUI frontend for printconf.
Group: System Environment/Daemons
Obsoletes: printtool
Obsoletes: printconf-gui
Provides: printconf-gui
Requires: redhat-config-printer = %{version}-%{release}
Requires: pygtk2, pygtk2-libglade, gnome-python2
Requires: gnome-python2-canvas, gnome-python2-gtkhtml2, usermode

%description
The printconf utility is a printer configuration and filtration system
based on magicfilter (the alchemist data library) and the foomatic
filter system. It rebuilds local print configuration and spool
directories from data sources at lpd init time, and is integrated to
use the multi-sourced features of the alchemist data library.

%description gui
The printconf-gui package contains a GUI tool for the printconf
utility.

%prep
%setup -q -n printconf-%{version}

%build

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} configure

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} build

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

# Desktop file installation.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System/printconf-gui.desktop
desktop-file-install --vendor redhat --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Red-Hat-Base                        \
  --add-category SystemSetup                           \
  --add-category Application                           \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/sysconfig/printconf-gui.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/printconf*
rm -rf $RPM_BUILD_ROOT/usr/lib/python2.1

%if "%{_libdir}" != "/usr/lib"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/cups/filter
for filter in cjktexttops textonly; do
  cp -a $RPM_BUILD_ROOT/usr/lib/cups/filter/$filter \
        $RPM_BUILD_ROOT%{_libdir}/cups/filter/
done
%endif

%find_lang printconf


%triggerun -- rhs-printfilters
cp /etc/printcap /etc/printcap.save
/usr/share/printconf/util/import_printtool_queues.py

%clean
rm -rf $RPM_BUILD_ROOT

%post
# The gimp-print driver changed its name, so update the configuration.
%{_datadir}/printconf/util/updateconf.py

# Make sure that the configuration is dirty, and gets rebuilt
/bin/touch /etc/printconf.local
/sbin/service lpd condrestart >/dev/null 2>&1
/sbin/service cups condrestart >/dev/null 2>&1
exit 0

%files -f printconf.lang
%defattr(-,root,root)
%config(noreplace) /etc/alchemist/switchboard/printconf.swb.adl
%config(noreplace) /etc/printcap.local
%dir /etc/alchemist/namespace/printconf
/etc/alchemist/namespace/printconf/rpm.adl
%config(noreplace) /etc/alchemist/namespace/printconf/local.adl
/usr/sbin/printconf
/usr/sbin/printconf-tui
/usr/sbin/printconf-backend
/usr/sbin/redhat-config-printer
/usr/sbin/redhat-config-printer-tui
/usr/bin/printconf
/usr/bin/printconf-tui
/usr/bin/redhat-config-printer
/usr/bin/redhat-config-printer-tui
/usr/bin/magicfilter-t
%dir /usr/share/printconf
/usr/share/printconf/mf.magic
%dir /usr/share/printconf/util
/usr/share/printconf/util/import_printtool_queues.py
/usr/share/printconf/util/jetdirectprint
/usr/share/printconf/util/lf2crlf
/usr/share/printconf/util/mf_postscript_wrapper
/usr/share/printconf/util/mf_wrapper
/usr/share/printconf/util/ncpprint
/usr/share/printconf/util/smbprint
/usr/share/printconf/util/scan_usb_devices.py
/usr/share/printconf/util/printconf_conf.py
/usr/share/printconf/util/printconf_version.py
/usr/share/printconf/util/printconf_backend.py
/usr/share/printconf/util/printconf_tui.py
/usr/share/printconf/util/strip_control_file.sh
/usr/share/printconf/util/updateconf.py
/usr/share/printconf/util/backend.py
/usr/share/printconf/util/cups_import.py
/usr/share/printconf/mf_rules
/usr/share/printconf/tests
%doc README COPYING magicfilter-2.0.d/magicfilter.README docs/* ChangeLog
/usr/share/man/*/*
/etc/pam.d/*-tui
/etc/pam.d/printconf
/etc/pam.d/redhat-config-printer
/etc/security/console.apps/*-tui
/etc/security/console.apps/printconf
/etc/security/console.apps/redhat-config-printer
/usr/lib/cups/filter/*
%if "%{_libdir}" != "/usr/lib"
%{_libdir}/cups/filter/*
%endif
%{_datadir}/cups/model/*

%files gui
%defattr(-,root,root)
/usr/sbin/printconf-gui
/usr/bin/printconf-gui
/usr/sbin/printtool
/usr/bin/printtool
/usr/sbin/redhat-config-printer-gui
/usr/bin/redhat-config-printer-gui
/etc/pam.d/*-gui
/etc/pam.d/printtool
/etc/security/console.apps/*-gui
/etc/security/console.apps/printtool
/usr/share/printconf/util/queueTree.py
/usr/share/printconf/util/addQueue.py
/usr/share/printconf/util/editQueue.py
/usr/share/printconf/util/shareQueue.py
/usr/share/printconf/util/pysmb.py
/usr/share/printconf/gui
/usr/share/pixmaps/printer.png
%{_datadir}/applications/*
/usr/lib/python*/site-packages/*


%changelog
* Fri Apr 13 2007 Tim Waugh <twaugh@redhat.com> 0.6.47.3.36-1
- 0.6.47.3.36:
  - Prevent multilib regression (bug #178943).

* Fri Apr 13 2007 Tim Waugh <twaugh@redhat.com> 0.6.47.3.35-1
- 0.6.47.3.35:
  - Fixed typo in filter locations (bug #178943).

* Fri Apr 13 2007 Tim Waugh <twaugh@redhat.com> 0.6.47.3.34-1
- 0.6.47.3.34:
  - Better fix for filter locations (bug #178943).

* Fri Apr 13 2007 Tim Waugh <twaugh@redhat.com> 0.6.47.3.33-1
- 0.6.47.3.33:
  - Install filters in %%_libdir when it is not /usr/lib (bug #178943).

* Mon Mar 26 2007 Tim Waugh <twaugh@redhat.com> 0.6.47.3.32-1
- 0.6.47.3.32:
  - Fixed n-copies handling for textonly print filter (bug #178943).

* Mon Jan 16 2006 Tim Waugh <twaugh@redhat.com> 0.6.47.3.31-1
- 0.6.47.3.31:
  - More bad_name fixes.

* Mon Jan 16 2006 Tim Waugh <twaugh@redhat.com> 0.6.47.3.30-1
- 0.6.47.3.30:
  - Use better error message when an invalid queue name is entered, now
    that we allow names to begin with digits.

* Mon Nov 28 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.29-1
- 0.6.47.3.29.
- REVERTED these changes:
  - Requires alchemist (bug #134274).
  - Make sure chkconfig output is parseable (bug #142978).
  - Fixed SMB authentication for domain\\username (bug #132742).

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.28-1
- 0.6.47.3.28.  No code change.
- Remove any python2.1 pollution.

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.27-1
- 0.6.47.3.27.  No code change.

* Tue Mar  1 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.26-1
- 0.6.47.3.26.  No code change.

* Tue Mar  1 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.25-1
- 0.6.47.3.25:
  - Don't write out bad configuration for IF(@eth0) and an IP address on
    that interface (bug #146794).
  - Use mangled/demangled names in correct places (bug #147330).

* Thu Jan 13 2005 Tim Waugh <twaugh@redhat.com> 0.6.47.3.24-1
- 0.6.47.3.24:
  - Make sure chkconfig output is parseable (bug #142978).
  - Fixed SMB authentication for domain\\username (bug #132742).
  - Allow digits at the start of the queue name (bug #121772).

* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com>
- Requires alchemist (bug #134274).

* Tue Sep 14 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.23-1
- 0.6.47.3.23:
  - Built for Red Hat Enterprise Linux 3.

* Fri Sep 10 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.22-1
- 0.6.47.3.22:
  - Implement "assume unknown data is text" for text-only queues (bug #124250).

* Wed Sep  8 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.21-1
- 0.6.47.3.21:
  - Ship required files for text-only print queue support (bug #124250).

* Thu Sep  2 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.20-1
- 0.6.47.3.20:
  - Set LANG=C when parsing alternatives output (bug #131563).
  - Support for text-only print queues (bug #124240).

* Thu Apr 15 2004 Tim Waugh <twaugh@redhat.com>
- Requires gnome-python2-canvas (bug #120931).

* Sat Mar  6 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.19-1
- 0.6.47.3.19:
  - Use 10 second delay instead of 5 seconds for test page (bug #115585).
  - Cope with there being no default queue at all (bug #117611).

* Wed Feb 11 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.18-1
- 0.6.47.3.18:
  - Fix the rest of bug #109942, and bug #115062.
  - Listen on all interfaces if it cannot be determined which to listen to
    for a specific IP address (bug #114414).

* Wed Jan 28 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.17-1
- 0.6.47.3.17:
  - Use rhpl to discover network interfaces (bug #109942).

* Tue Jan 27 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.16-1
- 0.6.47.3.16:
  - Allow remote queues to be the default (bug #103224).

* Mon Jan 26 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.15-1
- 0.6.47.3.15:
  - Actually apply the patch to fix -N usage (bug #106395, possibly
    bug #113956).

* Wed Jan 21 2004 Tim Waugh <twaugh@redhat.com> 0.6.47.3.14-1
- 0.6.47.3.14:
  - Fixed driver selection bug (bug #104380).
  - Fix handling of network interfaces with no NETWORK line in the
    ifcfg file; also prevent explicit localhost sharing from causing
    an invalid configuration file (bug #105402).
  - Use %s instead of %d for ipp_port.
  - Run updateconf.py on exit to fix bug #106478.
  - Avoid smbclient's -N option unless absolutely necessary (bug #106395,
    possibly bug #113956).

* Fri Sep 12 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.13-1
- 0.6.47.3.13:
  - Fix SMB URIs once and for all (bug #104136, bug #104293).

* Wed Sep 10 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.12-1
- 0.6.47.3.12:
  - Avoid smbclient's -P option, since its meaning is unpredictable
    (bug #104138).

* Tue Sep  9 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.11-1
- 0.6.47.3.11:
  - Try to get SMB URIs right when the password, but not the workgroup,
    is given (bug #80717).

* Fri Sep  5 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.10-1
- Build does not require libglade-devel.

* Mon Aug 18 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.9-1
- 0.6.47.3.9:
  - Move cjktextops filter fix to cups (bug #100984).

* Wed Jul 30 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.8-1
- 0.6.47.3.8:
  - Fix cjktexttops filter (bug #100984).

* Mon Jul 28 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.7-1
- 0.6.47.3.7:
  - Fix menu 'quit' to check for changes (bug #100827).

* Tue Jul  8 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.6-1
- 0.6.47.3.6:
  - Rebuilt for docs update.

* Tue Jun 24 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.5-1
- 0.6.47.3.5:
  - Proper fix for bug #97820.

* Mon Jun 23 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.4-1
- 0.6.47.3.4:
  - Remove quotes from values taken from sysconfig files (bug #97820).

* Fri Jun  6 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.3-1
- 0.6.47.3.3:
  - Prevent duplicate Listen lines (bug #88303).

* Tue Jun  3 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.2-1
- 0.6.47.3.2:
  - Always write PageSize option (bug #91088).
  - Fix another traceback (bug #88291).
  - Fix bug preventing the workgroup from displaying in the password
    dialog (bug #90831).

* Fri May 23 2003 Tim Waugh <twaugh@redhat.com>
- Require cups.

* Wed Apr 30 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3.1-1
- Rebuild in new environment.

* Fri Apr 25 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.3-1
- 0.6.47.3:
  - Fix 'quad' traceback (bug #88291).
  - Fix network interface sniffer (bug #88303).

* Mon Apr  7 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.2-1
- 0.6.47.2:
  - Fixed minor display bug.
  - Fixed typo (bug #87802).
  - Fixed backslash replacement for SMB printing (bug #88021).
  - Track foomatic changes after importing XML.

* Fri Mar 28 2003 Tim Waugh <twaugh@redhat.com> 0.6.47.1-1
- 0.6.47.1:
  - Set reserve=yes when lpd_strict_rfc1179 is set.
  - Fixed 'browsed queues' in GUI tool (bug #85107).
  - Fixed a problem with serial printers and extension ports (bug #85099).
  - Added PTAL support.

* Thu Feb 13 2003 Tim Waugh <twaugh@redhat.com> 0.6.47-1
- 0.6.47:
  - Always write out PreFilter foomatic options (bug #84186).
  - Set encoding in driver notes window (bug #84151).

* Mon Feb 10 2003 Tim Waugh <twaugh@redhat.com> 0.6.46-1
- 0.6.46:
  - Documentation changes.

* Fri Feb  7 2003 Tim Waugh <twaugh@redhat.com> 0.6.45-1
- 0.6.45:
  - Remove work-around for bug #74365 now that it's fixed (to fix
    bug #82450).

* Mon Feb  3 2003 Tim Waugh <twaugh@redhat.com> 0.6.44-1
- 0.6.44:
  - Use hpijs, not hpijs-rss, as the recommended driver (since that's what
    we ship).
  - Fix import issue (bug #83338).

* Wed Jan 29 2003 Tim Waugh <twaugh@redhat.com> 0.6.43-1
- 0.6.43:
  - Be less verbose when confronted with unknown URI types (bug #82892).

* Tue Jan 28 2003 Tim Waugh <twaugh@redhat.com> 0.6.42-1
- 0.6.42:
  - Another attempt to fix bug #80235.

* Mon Jan 27 2003 Tim Waugh <twaugh@redhat.com> 0.6.41-1
- 0.6.41:
  - Fix a bug in the 'share queue' dialog.
  - Fix password escaping in the LPRng backend (bug #80784).

* Fri Jan 23 2003 Tim Waugh <twaugh@redhat.com> 0.6.40-1
- 0.6.40:
  - Fix Omni library search path.
  - Fix state message display issues.

* Thu Jan 23 2003 Tim Waugh <twaugh@redhat.com> 0.6.39-1
- 0.6.39:
  - Fix bug #82520.

* Tue Jan 21 2003 Tim Waugh <twaugh@redhat.com> 0.6.38-1
- 0.6.38:
  - Add StartupNotify to desktop file.
  - Improve 'do you want to save?' dialog (bug #82110).
  - Display queue errors when they are reported (bug #82262).

* Mon Jan 20 2003 Tim Waugh <twaugh@redhat.com> 0.6.37-1
- 0.6.37:
  - Made USB probing work again.

* Thu Jan 16 2003 Tim Waugh <twaugh@redhat.com> 0.6.36-1
- 0.6.36:
  - Apply patch from bug #79745.
  - Fix translation encodings (bug #76079).

* Wed Jan 15 2003 Tim Waugh <twaugh@redhat.com> 0.6.35-1
- 0.6.35:
  - Finish off bug #79966.

* Tue Jan 14 2003 Tim Waugh <twaugh@redhat.com> 0.6.34-1
- 0.6.34:
  - Documentation update.

* Fri Jan 10 2003 Tim Waugh <twaugh@redhat.com> 0.6.33-1
- 0.6.33:
  - Fix printconf_conf translation issue.
  - Attempt at fixing issue related to bug #81173.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.6.32-1
- 0.6.32:
  - Another attempt at fixing bug #81214.
  - Another attempt at fixing bug #80711.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.6.31-1
- 0.6.31:
  - Fix PreFilter default (bug #80235).

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.6.30-1
- 0.6.30:
  - Ask foomatic for the driver option in the current language.
  - Handle window delete events (bug #81213).
  - Fix glade XML for quit menu item.
  - Fix context menu on browsed queues (bug #81214).
  - String clarifications (bug #81276).

* Mon Jan  6 2003 Tim Waugh <twaugh@redhat.com> 0.6.29-1
- 0.6.29:
  - Several translation fixes (including bug #81177).
  - Small GUI fix for SMB screen.
  - SMB warning fix (bug #81014).

* Fri Jan  3 2003 Tim Waugh <twaugh@redhat.com> 0.6.28-1
- 0.6.28:
  - SMB browsing fix (bug #80711).

* Mon Dec 30 2002 Tim Waugh <twaugh@redhat.com> 0.6.27-1
- 0.6.27:
  - Fix SMB 'specify' dialog behaviour (bug #80711).
  - Generate correct URI for JetDirect types (bug #80682).
  - SMB password does not require username (bug #80714).

* Sun Dec 29 2002 Tim Waugh <twaugh@redhat.com> 0.6.26-1
- Move backend.py and cups_import.py into the base package (bug #80658).

* Mon Dec 23 2002 Tim Waugh <twaugh@redhat.com> 0.6.25-1
- Conflict with CUPS < 1.1.17-4 and LPRng < 3.8.15-3, for 'reload' in
  the initscript (bug #79953).
- 0.6.25:
  - Consistency for queue type names (bug #80000).
  - Default to browsing.
  - Remove work-around for bug #79953.

* Wed Dec 18 2002 Tim Waugh <twaugh@redhat.com> 0.6.24-1
- 0.6.24:
  - Work around bug #79953 for now.
  - GUI fixes (bugs #79966, #79967, #79968).

* Sat Dec 14 2002 Tim Waugh <twaugh@redhat.com> 0.6.23-1
- Build requires python-devel.
- 0.6.23:
  - Fix traceback (bug #79674).

* Fri Dec 13 2002 Tim Waugh <twaugh@redhat.com> 0.6.22-1
- 0.6.22:
  - Backend fixes.

* Fri Dec 13 2002 Tim Waugh <twaugh@redhat.com> 0.6.21-1
- Obsolete cups-drivers-* (bug #79469).
- 0.6.21:
  - Remove manual backend run now that the cups init script runs it on its
    own.
  - Add a tooltip for the SMB 'specify...' button.
  - backend: be less verbose (don't say anything during normal start-up).

* Wed Dec 11 2002 Tim Waugh <twaugh@redhat.com> 0.6.20-1
- 0.6.20:
  - Various GUI fixes.
  - Fix printconf-backend.

* Tue Dec 10 2002 Tim Waugh <twaugh@redhat.com> 0.6.19-1
- 0.6.19:
  - Fix support for specifying a share.

* Mon Dec  9 2002 Tim Waugh <twaugh@redhat.com> 0.6.18-1
- 0.6.18:
  - Support for specifying a share that is not browseable (bug #79273).

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 0.6.17-1
- 0.6.17:
  - GUI improvement for selecting manufacturer.

* Mon Dec  2 2002 Tim Waugh <twaugh@redhat.com> 0.6.16-1
- 0.6.16:
  - Fix bug #78336 properly.

* Mon Nov 25 2002 Tim Waugh <twaugh@redhat.com> 0.6.15-1
- Conditionally restart cups.
- Run updateconf.py in the post scriptlet.
- Ship updateconf.py.
- 0.6.15:
  - JPEG test page.
  - updateconf.py
  - Fix bug #78336.
  - Small GUI fix for editQueue.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 0.6.14-1
- Fix %%post exit code (bug #77627).
- 0.6.14:
  - Fix icon paths.

* Wed Nov  6 2002 Tim Waugh <twaugh@redhat.com> 0.6.13-1
- Conflict with CUPS before 'reload' was added to its init script.
- 0.6.13:
  - GUI changes.
  - More test pages.
  - Use 'reload' not 'restart'.

* Tue Oct 15 2002 Tim Waugh <twaugh@redhat.com> 0.6.12-1
- Remove LPRng requirement.
- Add version to PyXML requirement (bug #74147).
- 0.6.12:
  - NCP URIs.
  - Fix jetdirectprint.

* Fri Oct 11 2002 Tim Waugh <twaugh@redhat.com> 0.6.11-1
- 0.6.11:
  - Fix cups-lpd warning.
  - Several GUI fixes.
  - Show error output when printing test page.

* Wed Oct  9 2002 Tim Waugh <twaugh@redhat.com> 0.6.10-1
- 0.6.10:
  - Fix imageable area coordinates.
  - Fix bug preventing printconf-tui from working.
  - Add LPD warning.
  - Fix paper size in 'edit queue' dialog.
  - Suggest generic PostScript option when appropriate, when adding a
    queue.

* Sat Oct  5 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-1
- Ship CUPS filters.
- 0.6.9:
  - Support CJK encodings when converting from text to PS.

* Fri Oct  4 2002 Tim Waugh <twaugh@redhat.com> 0.6.8-1
- 0.6.8:
  - Banner page configuration.
  - Imageable area margins configuration.
  - Duplex test page.
  - Some GUI fixes.

* Wed Oct  2 2002 Tim Waugh <twaugh@redhat.com> 0.6.7-1
- Ship pysmb.py.
- 0.6.7:
  - Browse when adding SMB queues.

* Tue Oct  1 2002 Tim Waugh <twaugh@redhat.com> 0.6.6-1
- Ship cups_import.py.
- 0.6.6:
  - Configurable default filter options.
  - CUPS queue imports.

* Fri Sep 27 2002 Tim Waugh <twaugh@redhat.com> 0.6.5-1
- Build requires cups-devel.
- Ship the pycups module.
- 0.6.5:
  - New pycups Python module for CUPS queries.
  - Display browsed queues.
  - Use lpoptions for setting page margins.

* Thu Sep 26 2002 Tim Waugh <twaugh@redhat.com> 0.6.4-1
- 0.6.4:
  - Fix raw queues.
  - Add support for remote IPP queues.
  - Fix port binding when no queues are shared.

* Wed Sep 25 2002 Tim Waugh <twaugh@redhat.com> 0.6.3-1
- 0.6.3:
  - GUI improvements.
  - Pick sensible default page margins.

* Sun Sep 22 2002 Tim Waugh <twaugh@redhat.com> 0.6.2-1
- 0.6.2:
  - Back-end improvements for browsing, listening.
  - GUI adjustments for global sharing properties.

* Fri Sep 20 2002 Tim Waugh <twaugh@redhat.com> 0.6.1-1
- 0.6.1:
  - Sharing properties dialog.

* Wed Sep 18 2002 Tim Waugh <twaugh@redhat.com> 0.6.0-1
- 0.6.0:
  - Backend now CUPS-aware.

* Wed Sep 18 2002 Tim Waugh <twaugh@redhat.com> 0.5.3-1
- 0.5.3:
  - Fix small GUI bug.
  - Work around popen wackiness.

* Tue Sep 17 2002 Tim Waugh <twaugh@redhat.com> 0.5.2-1
- 0.5.2:
  - GUI fixes.
  - Work around an apparent GTK2 bug.

* Mon Sep 16 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-1
- 0.5.1:
  - More GUI changes.

* Mon Sep  9 2002 Tim Waugh <twaugh@redhat.com> 0.5.0-1
- 0.5.0:
  - GUI rewritten.

* Tue Sep  3 2002 Tim Waugh <twaugh@redhat.com> 0.4.24-1
- 0.4.24:
  - Add Norwegian desktop file translation (bug #73175).

* Thu Aug 22 2002 Tim Waugh <twaugh@redhat.com> 0.4.23-1
- 0.4.23:
  - Fix a German translation problem (bug #71959).
  - Fix zh_CN/zh_TW translations (bug #72226).

* Fri Aug 16 2002 Tim Waugh <twaugh@redhat.com> 0.4.22-1
- 0.4.22:
  - Fix printconf-backend, which broke with the last change.

* Fri Aug 16 2002 Tim Waugh <twaugh@redhat.com> 0.4.21-1
- Replace System with SystemSetup in desktop file categories.
- Require rhpl.
- 0.4.21:
  - Prevent traceback in GUI when viewing driver tab the second time.
  - Fix strings in TUI (bug #70784).

* Mon Aug 12 2002 Tim Waugh <twaugh@redhat.com> 0.4.20-1
- 0.4.20: docs updated.

* Wed Aug  7 2002 Tim Waugh <twaugh@redhat.com> 0.4.19-1
- Ship console.apps file for redhat-config-printer-gui.
- Remove files from install root that aren't shipped.
- 0.4.19:
  - Fix window titles and icons (bug #68519).
  - Update blacklist messages (bug #70382).
  - Fix some menu item translation issues (bug #70631).
  - Fix printconf/redhat-config-printer PAM files.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.4.18-1
- 0.4.18:
  - Convert desktop file to UTF-8 (bug #70029).
  - Prevent errno being referenced instead of __errno_location.
  - Use the TUI PAM file for 'printconf' and 'redhat-config-printer',
    not the GUI one which uses pam_timestamp.
  - Remove GenericName entries from desktop file.

* Fri Jul 26 2002 Tim Waugh <twaugh@redhat.com> 0.4.17-1
- 0.4.17:
  - Use pam_timestamp.so (bug #69873).

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 0.4.16-1
- 0.4.16:
  - Desktop file fixes (bug #69498).

* Mon Jul 22 2002 Tim Waugh <twaugh@redhat.com> 0.4.15-1
- 0.4.15:
  - Fix NCP strings in text user interface (bug #69164).

* Thu Jul 11 2002 Tim Waugh <twaugh@redhat.com> 0.4.14-1
- Provide printconf and printconf-gui.
- 0.4.14:
  - Fixed online help path (broken by name change).
  - Fixed bug #67657.

* Thu Jul 11 2002 Tammy Fox <tfox@redhat.com>
- Updated docs

* Thu Jul 11 2002 Tim Waugh <twaugh@redhat.com> 0.4.13-1
- Rename 'redhat-config-printer' (bug #68519).
- 0.4.13:
  - Show driver notes (bug #68567).
  - Fix upgrade behaviour (bug #68586).
  - Reinstate 'Grok USB autodetect information too'.

* Wed Jul 10 2002 Tim Waugh <twaugh@redhat.com> 0.4.12-1
- Add 'Application' category to the desktop file too (bug #68423).
- The desktop-file-install bug seems to be fixed in 0.2.92 so
  make the build require that.

* Wed Jul 10 2002 Tim Waugh <twaugh@redhat.com> 0.4.11-1
- Add 'System' category to the desktop file (bug #68423).
- Watch out for a desktop-file-install bug.
- 0.4.11:
  - Back out 'Grok USB autodetect information too'.

* Mon Jul  8 2002 Tim Waugh <twaugh@redhat.com> 0.4.10-1
- 0.4.10:
  - Fix JetDirect printing (bug #68032, others)

* Sat Jul  6 2002 Tim Waugh <twaugh@redhat.com> 0.4.9-1
- rpmlint: Make main package require usermode.
- Use desktop-file-install to install the .desktop file.
- 0.4.9:
  - Window position fixes (bug #68035).
  - Grok USB autodetect information too.

* Fri Jul  5 2002 Tim Waugh <twaugh@redhat.com> 0.4.8-1
- 0.4.8:
  - Translation fix-ups.
  - Fix 'autoselect driver'.
  - Mark recommended driver in driver list.

* Fri Jul  5 2002 Tim Waugh <twaugh@redhat.com> 0.4.7-1
- 0.4.7:
  - Fix bug #67923.
  - Some translation changes.

* Tue Jul  2 2002 Tim Waugh <twaugh@redhat.com> 0.4.6-1
- 0.4.6:
  - Extensions for automatic queue handling.
  - Start moving translations over to UTF-8.
  - Fix printconf's handling of translations in general (bindtextdomain).
  - Now 'printconf' and 'redhat-config-printer' figure out which type
    of interface should be used.

* Fri Jun 28 2002 Tim Waugh <twaugh@redhat.com> 0.4.5-1
- 0.4.5:
  - Fix 'driver options' crash.

* Fri Jun 28 2002 Tim Waugh <twaugh@redhat.com> 0.4.4-1
- 0.4.4:
  - Fix 'custom device' in druid.
  - Fix bug #66768.

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 0.4.3-1
- 0.4.3.  More GTK2 fixes.

* Tue Jun 18 2002 Tim Waugh <twaugh@redhat.com> 0.4.2-1
- 0.4.2 (more fixes for bug #66141; proper fix for bug #38430;
  fix bug #64762).

* Mon Jun 17 2002 Tim Waugh <twaugh@redhat.com> 0.4.1-1
- 0.4.1 (fixes bug #64341, bug #66141, bug #66360).

* Thu Jun 13 2002 Tim Waugh <twaugh@redhat.com> 0.4.0-1
- Finish port to GTK2.

* Tue Jun 11 2002 Tim Waugh <twaugh@redhat.com> 0.3.100-1
- Begin port to GTK2. (Still incomplete.)
- Alter requirements.

* Fri May 24 2002 Tim Waugh <twaugh@redhat.com> 0.3.79-2
- Put printconf-tui's PAM files in the main package (bug #65436).

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 0.3.79-1
- 0.3.79 (fixes bug #64417).

* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 0.3.78-1
- 0.3.78.

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.3.77-1
- Update tranlations

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 0.3.76-1
- 0.3.76 (bug #62609).

* Tue Apr  2 2002 Tim Waugh <twaugh@redhat.com> 0.3.75-1
- 0.3.75 (should fix bug #61901).

* Thu Mar 14 2002 Tim Waugh <twaugh@redhat.com> 0.3.74-1
- 0.3.74 (updated docs).

* Wed Mar 13 2002 Tim Waugh <twaugh@redhat.com> 0.3.73-1
- 0.3.73 (bug #60266).
- Update local.adl to reflect gimp-print driver's name change in the
  %%post scriptlet (yuck).

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.3.72-1
- 0.3.72 (bug #58980).

* Mon Mar  4 2002 Tim Waugh <twaugh@redhat.com> 0.3.71-1
- 0.3.71 (bug #27116, bug #59908).

* Sun Mar  3 2002 Tim Waugh <twaugh@redhat.com> 0.3.70-1
- 0.3.70 (fixes NAMETYPE error).

* Fri Mar  1 2002 Tim Waugh <twaugh@redhat.com> 0.3.69-1
- 0.3.69 (bug #59637, bug #60266).
- Use userhelper for printconf-tui too (bug #60463).

* Wed Feb 13 2002 Tim Waugh <twaugh@redhat.com> 0.3.68-1
- 0.3.68 (bug #58980, bug #27116 [partly]).
- Require mpage (bug #59481).
- PreReq fileutils, initscripts.
- Explicit path to 'touch' in %%post.
- Require new foomatic.
- Conditionally restart lpd in %%post, to make sure the queues are
  in sync with this package.

* Tue Feb  5 2002 Tim Waugh <twaugh@redhat.com> 0.3.67-1
- Ship the ChangeLog file.
- Another attempt at fixing bug #47964.

* Tue Feb  5 2002 Tim Waugh <twaugh@redhat.com> 0.3.66-1
- 0.3.66 (bug #47964).

* Thu Jan 31 2002 Tim Waugh <twaugh@redhat.com> 0.3.65-1
- 0.3.65: more alchemist work-arounds; change hpijs message now that we
  ship the driver.

* Tue Jan 29 2002 Tim Waugh <twaugh@redhat.com> 0.3.64-1
- 0.3.64 (works around bug #57986 for the time being).

* Sun Jan 27 2002 Tim Waugh <twaugh@redhat.com> 0.3.63-1
- 0.3.63 (fixes bugs #52715, #58360, #39846).

* Thu Jan 24 2002 Tim Waugh <twaugh@redhat.com> 0.3.62-1
- 0.3.62 (fixes bug #38430, bug #58769).
- Fix file list (bug #54528, bug #58160).
- Sync spec file in CVS.
- Don't configure in prep.

* Fri Jan 18 2002 Tim Waugh <twaugh@redhat.com> 0.3.61-2
- Get lpdomatic from /usr/sbin again.

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.61-1
- foomatic-backend checks for root now.

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.60-1
- foomatic moved lpdomatic, so we must change.

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.59-1
- rebuilt for errata

* Mon Dec  3 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.58-1
- added Omni and oki4w to the driver blacklist.

* Wed Nov 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.57-1
- made printconf-backend treat PAGEsize, mpage_page_size, and GS_PAPERSIZE
- differently, so that pswrite wont break everthing.

* Mon Nov 26 2001 Ben Woodard <woodard@redhat.com> 0.3.56-1
- added a couple of the magicfilter man pages.

* Tue Nov 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.55-1
- fixed valid_queue() so that it will validate CUSTOM type filters and queues.

* Tue Nov 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.54-1
- fixed printconf-tui so that it will set the selected queue after creation.

* Thu Oct 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.53-1
- fixed printconf-tui so that it will edit float type driver options.

* Mon Oct 22 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.52-1
- fixed printer selection after editing in -tui mode.

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.51-1
- the semantics of lpdomatic no longer accept '-d'

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.50-1
- itterate version to rebuild for errata, require Omni-foomatic

* Fri Oct 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.49-1
- patched to fix some bad C in magicfilter.

* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.48-1
- use foomatics lpdomatic instead of the old mfomatic filter.

* Mon Sep 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.47-1
- use the new -dPARANOIDSAFER flag which I added to ghostscript.

* Wed Sep 12 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.46-1
- turned off header pages, they don't work.
- added --Xdefault mode to -tui.

* Mon Sep 10 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.45-1
- added printing header pages

* Fri Sep 07 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.44-1
- yet another bug in import_printtool_queues.py

* Fri Sep 07 2001 Yukihiro Nakai <ynakai@redhat.com> 0.3.43-1
- remove improper cjk testpages.

* Thu Sep 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.42-1
- finaly nail the moveto bugs in printconf-gui

* Thu Sep 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.41-1
- fixed 'cancel' case for printconf_tui.py

* Thu Sep 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.40-1
- po file churn :<

* Thu Sep 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.39-1
- hide import_printtool_queues.py output.

* Thu Sep 06 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.38-1
- fixed import_printtool_queues.py, which was borken badly.

* Wed Sep 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.37-1
- fixed annoying ctree bugs; #52968
- use fast dynamic foomatic overview instead of flat file.
- rebuild with new .po files and new docs.

* Wed Aug 29 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.36-1
- fixed the globbing on reads of the dynamic test manifests

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.35-1
- hooked up a url handler to the printer notes dialog.

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.34-1
- rolled in japanese et. all print tests, made printconf's tests dynamic.

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.33-1
- added setting of filtration locale; #47964
- fixed PostScript page size settings.

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.32-1
- handled cases where the database gives me enum options with no values.
- fixed the printer notes dialog.

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.31-1
- fixed some bugs with jetdirect and ncp printers in the -tui; #52242

* Sat Aug 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.30-1
- added USB printer autodetection

* Thu Aug 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.29-1
- pychecker induced cleanups and bug fixes.
- nicer busy states for the gui.

* Thu Aug 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.28-1
- rebuild with new docs
- fix traceback thinko bug in printconf_gui.py

* Tue Aug 21 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.27-1
- rebuild with new docs

* Tue Aug 21 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.26-1
- turn off debugging for the upgrade script; #51687
- zap the hacked japanase entries.

* Tue Aug 21 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.25-1
- added a %post touch on /etc/printcap.local to force dirty settings; #51224

* Tue Aug 21 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.24-1
- rebuilt with pbrown's wait cursor changes.
- added 'hpijs' driver to the HP blacklist
- fixed state-corruption-on-cancel-edit bug.

* Tue Aug 14 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.23-1
- fixed tracebacks on: tui set default, tui edit queue, tui edit alias

* Mon Aug 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.22-1
- fixed nasty traceback in printconf-backend,
- added "Assume Unknown Data is Text" option.

* Mon Aug 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.21-1
- add constraint checking for samba-client, ncpfs, and hpijs availability.

* Fri Aug 10 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.20-1
- fix printer options; #51224, #51383

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.19-1
- fixed a traceback in printconf-tui's new queue dialog.
- taught the tui and gui what happens to selection when you delete
- a overriden queue.

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.18-1
- added send_FF to give more robust termination options

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.17-1
- fixed thinko that kept A4 pages from printing in the gui; #51052

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.16-1
- move arround how magicfilter patches work.
- fix the patch fix that fixed magicfilter-t --help but broke -kc; #51051

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.3.15-1
- Added a printer icon
- Install desktop file in sysconfig:

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.14-1
- added strip_control_file.sh, in the hopes of getting better interaction
- with solaris, maybe.

* Wed Aug  8 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.13-1
- tweaked the default rule to get better coverage.

* Wed Aug  8 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.12-1
- fixed printconf-gui's glade context, so we actually see translations.

* Fri Aug  3 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.11-1
- fixed traceback in get_default_queue_name in printconf_conf.py
- add clear option to printconf-tui

* Fri Aug  3 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.10-1
- fixed traceback in printconf_tui.py; changed 'qlf' namespace to be 'qld',
- which matches printconf_gui.py's usage. Prompt the user to override
- imported queues. added a srpm build target.

* Thu Aug  2 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.9-1
- fixed magicfilter-t help, it was segfaulting. #45687
- made exceptions in printconf-gui fatal
- fix Makefile so it does /not/ do 'rm -rf $(DESTDIR)'

* Wed Aug  1 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.8-1
- fixed shell string evaluation casued by princonf_backend.py, #33579 
- fixed deleting invalid queues in the gui, #50611
- re-added apply button, because people missed it

* Wed Aug  1 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.7-1
- fixed gui driver autoselection display; tui Send EOT option 
- restored ability to force all text to be renedered to postscript
- fixed formatting for printconf-tui edit summarys

* Tue Jul 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.6-1
- enabled test page printing for the tui.

* Tue Jul 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.5-1
- versioned the alchemist dependancy. enabled test page printing for the gui.
- fixed a traceback on creating a new printer.

* Tue Jul 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.4-1
- fixed gnome help paths. Mozilla now will /not/ imply the 'file://'
- scheme. Grr, behaviour change, badddd.

* Mon Jul 30 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.3-1
- fixed bugs #36598, #50248

* Mon Jul 30 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.2-1
- fixed bugs #50333, #50253, #50236, #42041, #50251
- fixed some bad charsets in the po files.
- added link to redhat-config-printer-gui and redhat-config-printer-tui

* Mon Jul 30 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.1-1
- fixed the gui type editor

* Wed Jul 24 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-6
- cleaned up the make/spec files
- added newt dependancy, grafted the docs back in.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-5
- made some changes to fix some /stupid/ python behaviour.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-4
- killed all use of consolehelper by printconf-tui, as it mucks with
- standard output.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-3
- changed printconf to depend on usermode "properly"

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-2
- added tests back into the package.
- fixed traceback in printconf_conf.py and printconf_backend.py

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.3.0-1
- initial packaging of 0.3.0 version. Watch out, it's on fire.
- luckily, I got to keep almost no code, but on the down side,
- there is now a printconf-tui tool to satisfy all those people
- who refuse to run X.

* Wed Apr 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed a bug in deleting an overriden context

* Wed Apr 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- taught printconf-gui what to do with a corrupt/missing local context.
- fixed override traceback typo (overriden != overridden)

* Wed Mar 28 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added pygtk-libglade and pygnome-libglade dependancies to printconf-gui

* Thu Mar 22 2001 Crutcher Dunnavant <crutcher@redhat.com>
- addedd the option 'r' to magicfilter's ignore list (how did we miss it before?)
- fixed bad thinko in the charset override filters
- reordered the compression filters to be defined first

* Tue Mar 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed O_NONBLOCK typo in scanning printers
- saved boolean foomatic defaults as strings to stop tracebacks
- fixed textdomain bug that killed half of the translations

* Sun Mar 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation.

* Fri Mar 16 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed a bad thinko in the upgrade case and added japanese upgrades.
- cleanups in the code, more debugging states.
- Swedish desktop file from menthos
- killed LaserJet 5/lj5gray combo that Dell said wasn't working

* Sun Mar 11 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Taught printconf about page size in the postscript special case.
- undid my blunder that was killing languages.

* Fri Mar  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added context help, updated database

* Fri Mar  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed option setting
- twiddled postscript prepend case

* Wed Mar  7 2001 Crutcher Dunnavant <crutcher@redhat.com>
- moved EOT to the mf_wrapper stage,
- terminated text jobs with \r\n\014

* Tue Mar  6 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed upgrade case. It is now as smart as it's gonna get.

* Thu Feb 29 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed EOT sending, hope it works.

* Wed Feb 28 2001 Crutcher Dunnavant <crutcher@redhat.com>
- many, many, many tweaks
- Import docs directories

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18n update

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix langification

* Wed Feb 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed a huge chage

* Wed Feb 14 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed japanese, did some little bug fixes

* Tue Feb 13 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked locatations of the asc2goofycharset programs to put 'em in
- util, fixed crack in make_mfomatic_cfg.pl

* Tue Feb 13 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed to config(noreplace), tweaked some spelling, changed
- to a cleaner printcap format.

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked mf_wrapper to return magicfilter's return code

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added print testpage code

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added lang files

* Thu Feb  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- rebuild for more translations

* Wed Feb  7 2001 Jonathan Blandford <jrb@redhat.com>
- Fix up file.  Add foomatic stuff.

* Wed Feb  7 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add more I18N

* Tue Feb  6 2001 Jonathan Blandford <jrb@redhat.com>
- Moved to auto*.  Much cleaner specfile

* Tue Feb  6 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added the smbprint, ncpprint, and jetdirectprint files (oops.)

* Sun Feb  4 2001 Crutcher Dunnavant <crutcher@redhat.com>
- moved some stuff to more appropriate subdirectories,
- allowed the non-specification of remote queues for LPD entries.

* Thu Feb  1 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Nailed down a spool/fpipe problem in magicfilter,
- tweaked some debug code.

* Wed Jan 31 2001 Crutcher Dunnavant <crutcher@redhat.com>
- split the netpbm, groff, and tetex filters out to their own
- packages. patched magicfilter's string reading code.

* Sun Jan 29 2001 Crutcher Dunnavant <crutcher@redhat.com>
- futzed with the filters, reworked the magicfilter config,
- moved everything that should go to /usr/share/printconf
- needs testing on a system with a printer.

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- stoped striping ppa support, tweaked pre/post to touch chkconfig

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added printcap.local to list

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Initial internationalization, stoped striping Postscript (oops)

* Wed Jan 24 2001 Crutcher Dunnavant <crutcher@redhat.com>
- I think upgrade from rhs-printfilters works now.

* Mon Jan 21 2001 Crutcher Dunnavant <crutcher@redhat.com>
- All but minor features complete. Needs upgrade case

* Sun Jan 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- checkin build, almost feature complete

* Fri Jan 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed the naming to use printconf-gui

* Fri Jan 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- rpm build fun

* Wed Jan  3 2001 Crutcher Dunnavant <crutcher@redhat.com>
- initial packaging of printconf collection

